# -------------------------------------------------------------------------------------
# flo::Record::Editor
# -------------------------------------------------------------------------------------
#
#       Author : Jean-Michel Hiver (jhiver@cisedi.com).
#    Copyright : (c) MKDoc Holdings Ltd, 2000.
# 
#      Unauthorized modification, use, reuse, distribution or redistribution
#      of this module is stricly forbidden.
#
#    Description:
#
#      Every record from the 'Editor' table will be blessed into this class
#      so that we can add extra method to access to in the template engine.
#
# -------------------------------------------------------------------------------------
package flo::Record::Editor;
use MKDoc::Unicode;
use flo::Standard;
use strict;
use 5.6.0;
use utf8;


##
# $self->ID;
# ----------
#   Returns the ID of that flo::Record::Editor
#
# $self->ID ($id);
# ----------------
#   Sets the ID of that flo::Record::Editor
#   This method should be used internally only
##
sub ID
{
    my $self = shift;
    if (@_) { $self->{ID} = u_shift (\@_) }
    else    { return $self->{ID}          }
}


##
# $self->Login;
# -------------
#   Returns the Login of that flo::Record::Editor
#
# $self->Login ($id);
# -------------------
#   Sets the Login of that flo::Record::Editor
#   This method should be used internally only
##
sub Login
{
    my $self = shift;
    if (@_) { $self->{Login} = u_shift (\@_) }
    else    { return $self->{Login}          }
}


##
# $self->Password;
# ----------------
#   Returns the Password of that flo::Record::Editor
#
# $self->Password ($id);
# ----------------------
#   Sets the Password of that flo::Record::Editor
#   This method should be used internally only
##
sub Password
{
    my $self = shift;
    if (@_) { $self->{Password} = u_shift (\@_) }
    else    { return $self->{Password}          }
}


##
# $self->Email;
# -------------
#   Returns the Email of that flo::Record::Editor
#
# $self->Email ($id);
# -------------------
#   Sets the Email of that flo::Record::Editor
#   This method should be used internally only
##
sub Email
{
    my $self = shift;
    if (@_) { $self->{Email} = u_shift (\@_) }
    else    { return $self->{Email}          }
}


##
# $self->First_Name;
# ------------------
#   Returns the First_Name of that flo::Record::Editor
#
# $self->First_Name ($id);
# ------------------------
#   Sets the First_Name of that flo::Record::Editor
#   This method should be used internally only
##
sub First_Name
{
    my $self = shift;
    if (@_) { $self->{First_Name} = u_shift (\@_) }
    else    { return $self->{First_Name}          }
}


##
# $self->Family_Name;
# -------------------
#   Returns the Family_Name of that flo::Record::Editor
#
# $self->Family_Name ($id);
# -------------------------
#   Sets the Family_Name of that flo::Record::Editor
#   This method should be used internally only
##
sub Family_Name
{
    my $self = shift;
    if (@_) { $self->{Family_Name} = u_shift (\@_) }
    else    { return $self->{Family_Name}          }
}


##
# $self->Disabled;
# ----------------
#   Returns the Disabled of that flo::Record::Editor
#
# $self->Disabled ($id);
# ----------------------
#   Sets the Disabled of that flo::Record::Editor
#   This method should be used internally only
##
sub Disabled
{
    my $self = shift;
    if (@_) { $self->{Disabled} = u_shift (\@_) }
    else    { return $self->{Disabled}          }
}


##
# $self->SU_Modify_URI;
# ---------------------
#   Returns the modify_form URI for this object in the
#   super user interface
##
sub SU_Modify_URI
{
    my $self = shift;
    my $cgix = cgi->new;
    foreach ($cgix->param) { $cgix->delete ($_) }
    $cgix->param ('action', 'modify_editor_form');
    $cgix->param ('ID', $self->ID);
    return $cgix->self_url;
}


##
# $self->SU_Delete_URI;
# ---------------------
#   Returns the delete_form URI for this object in the
#   super user interface
##
sub SU_Delete_URI
{
    my $self = shift;
    my $cgix = cgi->new;
    foreach ($cgix->param) { $cgix->delete ($_) }
    $cgix->param ('action', 'delete_editor_form');
    $cgix->param ('ID', $self->ID);
    return $cgix->self_url;
}


1;









