# -------------------------------------------------------------------------------------
# flo::Template
# -------------------------------------------------------------------------------------
#
#    Author   : Jean-Michel Hiver                                  (c) mkdoc ltd, 2001.
#    A modified (via sub-classing mechanism) version of
#    the flo::Template module.
# -------------------------------------------------------------------------------------
package flo::Template;
use lib::Template;
use lib::Exception;
use strict;
use vars qw /@ISA/;
@ISA = qw /lib::Template/;


sub init
{
    my $class = shift;
    $lib::Template::CONFIG        = new lib::Config ('flo.Template');
    $lib::Template::LEFT_TOKEN    = quotemeta ($lib::Template::CONFIG->get ('LEFT_TOKEN'));
    $lib::Template::RIGHT_TOKEN   = quotemeta ($lib::Template::CONFIG->get ('RIGHT_TOKEN'));
    $lib::Template::COMMENT_START = quotemeta ($lib::Template::CONFIG->get ('COMMENT_START') || '<!--%');
    $lib::Template::COMMENT_STOP  = quotemeta ($lib::Template::CONFIG->get ('COMMENT_STOP') || '%-->');
    $lib::Template::CODE_START    = quotemeta ($lib::Template::CONFIG->get ('CODE_START') || '<!--@');
    $lib::Template::CODE_STOP     = quotemeta ($lib::Template::CONFIG->get ('CODE_STOP') || '@-->');
    $lib::Template::BASE_DIR      = $lib::Template::CONFIG->get ('BASE_DIR');
    $lib::Template::TOKEN_REGEX   = $lib::Template::LEFT_TOKEN . '.*?' . $lib::Template::RIGHT_TOKEN;
    $lib::Template::STASH = {};
}


1;



