use 5.6.0;
use lib ('..');
use MKDoc;
use flo::Standard;
use lib::Exception;
use UTF8::Hack;
use Data::Dumper;
use flo::Editor;

my $lang = $ENV{SERVER_NAME} or die "\$ENV{SERVER_NAME} not set";
+ MKDoc::init ('cgi.mkdoc');

my $document_table = table 'Document';
my $query = $document_table->search;
my $errors = 0;
while (my $document = $query->next)
{
    next unless (defined $document->{Body});
    eval
    {
	my $p = new XML::Parser (Style => 'Tree');
	$p->parse("<xml>$document->{Body}</xml>");
    };
    if (defined $@ and $@)
    {
	print "Tidy $document->{Full_Path}\n";
	xml_validate ($document);
	$document_table->modify ($document);
    }
}

sub xml_validate
{
    my $document = shift;
    my $editor = new flo::Editor;
    $editor->parse_xml ($document->{Body});
    $editor->tidy;
    $document->{Body} = $editor->generate_xml;
}

1;
